<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
  	 extract($_POST);
  
   $qp3 = "select nombre from usuarios_ci where idusuarios_ci=$idcd";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
	$usuario = $rp3->nombre; 
    
	  $q2 = "SELECT col_cd.idcol, menu, nombre, idasig  from col_cd left join asignacols on (col_cd.idcol=asignacols.idcol and idcd=$idcd) order by menu,col_cd.idcol";
  
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  echo"<center><font size=\"5\"><b>Asignar M&oacute;dulos a CD</b><br><br></font>
  <font size=\"4\"><b>CD $idcd $usuario</b><br><br></font><form name=\"busca\" action=\"modulos_cd2.php\" method=\"post\">
  <table border=\"1\"> <tr>
			<th>Id</th><th>Secci&oacute;n</th><th>M&oacute;dulo</th><th>
			</th>
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	  
	 switch($a1){
		case 1:
       $name="Usuarios";
        break;
        case 2:
       $name="Operaciones";
        break; 
        case 3:
       $name="Inventarios";
        break; 
        case 4:
       $name="Movimientos Efectivo";
        break; 
        case 5:
       $name="Reportes";
        break;  
        case 6:
       $name="Productos";
        break;  
        case 7:
       $name="Pedidos";
        break;  
        case 8:
       $name="Pagos";
        break; 
        case 9:
       $name="Centros de Dist";
        break;  
        case 10:
       $name="Regalias";
        break;   
		 
	 }
	  
	  
	  
echo"<tr><td>$a0</td><td>$name</td><td>$a2</td><td>";
if($a3!=NULL){echo"<input type=\"checkbox\" name=\"mod[$a0]\" value=\"yes\" checked=\"checked\">";}
else{echo"<input type=\"checkbox\" name=\"mod[$a0]\" value=\"yes\">";}
			
			
			echo"</td></tr>";
	}
	echo"</table><br>
	<input type=hidden name=elcd value=\"$idcd\">
<input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Hacer Cambios en Modulos\" /></form>
	";
	
  
  
  
?>
